<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Pistol/LongHorn.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d9f/_long_horn_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">LongHorn.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d9f/_long_horn_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d2e/class_long_horn___base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d2e/class_long_horn___base.html">LongHorn_Base</a> : <a class="code hl_class" href="../../d9/d8b/class_single_shot_pistol___base.html">SingleShotPistol_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d2e/class_long_horn___base.html#a9b7858b9328e5f10abe58d0bba0ff336">    3</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../d9/d2e/class_long_horn___base.html#a9b7858b9328e5f10abe58d0bba0ff336">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../de/d75/class_long_horn_recoil.html">LongHornRecoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d2e/class_long_horn___base.html#a6e81e3901812f50748c2e63bbfcb04b1">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d2e/class_long_horn___base.html#a6e81e3901812f50748c2e63bbfcb04b1">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        super.OnDebugSpawn();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#a46ee7e7823f708ee45285ec153432f0b">CreateInInventory</a>( <span class="stringliteral">&quot;PistolOptic&quot;</span> );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }   </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>};</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d53/class_long_horn.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d53/class_long_horn.html">LongHorn</a> : <a class="code hl_class" href="../../d9/d2e/class_long_horn___base.html">LongHorn_Base</a> {};</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="aclass_game_inventory_html_a46ee7e7823f708ee45285ec153432f0b"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#a46ee7e7823f708ee45285ec153432f0b">GameInventory::CreateInInventory</a></div><div class="ttdeci">EntityAI CreateInInventory(string type)</div><div class="ttdoc">creates entity somewhere in inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00757">Inventory.c:757</a></div></div>
<div class="ttc" id="aclass_long_horn___base_html"><div class="ttname"><a href="../../d9/d2e/class_long_horn___base.html">LongHorn_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9f/_long_horn_8c_source.html#l00001">LongHorn.c:2</a></div></div>
<div class="ttc" id="aclass_long_horn___base_html_a6e81e3901812f50748c2e63bbfcb04b1"><div class="ttname"><a href="../../d9/d2e/class_long_horn___base.html#a6e81e3901812f50748c2e63bbfcb04b1">LongHorn_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9f/_long_horn_8c_source.html#l00009">LongHorn.c:9</a></div></div>
<div class="ttc" id="aclass_long_horn___base_html_a9b7858b9328e5f10abe58d0bba0ff336"><div class="ttname"><a href="../../d9/d2e/class_long_horn___base.html#a9b7858b9328e5f10abe58d0bba0ff336">LongHorn_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9f/_long_horn_8c_source.html#l00003">LongHorn.c:3</a></div></div>
<div class="ttc" id="aclass_long_horn_html"><div class="ttname"><a href="../../de/d53/class_long_horn.html">LongHorn</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9f/_long_horn_8c_source.html#l00016">LongHorn.c:16</a></div></div>
<div class="ttc" id="aclass_long_horn_recoil_html"><div class="ttname"><a href="../../de/d75/class_long_horn_recoil.html">LongHornRecoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d55/_long_horn_recoil_8c_source.html#l00001">LongHornRecoil.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="aclass_single_shot_pistol___base_html"><div class="ttname"><a href="../../d9/d8b/class_single_shot_pistol___base.html">SingleShotPistol_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/db3/_single_shot_pistol___base_8c_source.html#l00052">SingleShotPistol_Base.c:53</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_76a54f3297dfb22ebdc969318446e2b1.html">Pistol</a></li><li class="navelem"><a class="el" href="../../df/d9f/_long_horn_8c.html">LongHorn.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
